Description: Fixes the compatibility with the version of apache-directory-api in Debian
Author: Emmanuel Bourg <ebourg@apache.org>
Forwarded: not-needed
--- a/core-api/src/main/java/org/apache/directory/server/core/api/LdapCoreSessionConnection.java
+++ b/core-api/src/main/java/org/apache/directory/server/core/api/LdapCoreSessionConnection.java
@@ -506,6 +506,11 @@
         return false;
     }
 
+    @Override
+    public Throwable exceptionCaught()
+    {
+        return null;
+    }
 
     /**
      * {@inheritDoc}
